View Issue Details

IDProjectCategoryView StatusLast Update
0003398gnunet-gtkgnunet-peerinfo-gtkpublic2018-06-07 00:25
ReporterellAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformnat vboxOSXubuntu-14.04-64amdOS Version
Product Version0.10.1 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003398: SVN Revision-33177: None of the colored activation indicators pops up in gnunet-gtk for peer-info
DescriptionStart gnunet-gtk, switch to "Information about known and connected peers".
There are colored activation indicators, but not so for my peer and some
others.
Steps To ReproduceStart gnunet-gtk.
TagsNo tags attached.

Activities

Christian Grothoff

2014-05-08 09:46

manager   ~0008307

It is normal that none pop up for your peer, as you don't "connect" over the network to your own peer.

Also, for _some_ of the other peers you may not get indicators as they're not active in any sense. So that may again be normal (as long as you do get indicators for other peers).

The real question, I guess, is if there is a better way to indicate this or make the view less confusing.

ell

2014-05-08 10:55

reporter   ~0008308

OK, but all other peers show up a defined state in gnunet-gtk
(f.i. S_CONNECTED ), not so for me.
I think the state-field in gnunet-gtk has always been empty.
If I do a "sudo netstat -p tcp | grep tcp" I see a lot of connected
gnunet-stations, so I thought, there should be something in the
state-field of gnunet-gtk.
So, it is also normal to see nothing in the state-field of gnunet-gtk?

Christian Grothoff

2014-05-11 14:07

manager   ~0008318

For your own peer, yes.

Christian Grothoff

2014-05-11 14:11

manager   ~0008320

It might also be helpful if you attach a screenshot, maybe something is wrong but I just don't understand it.

ell

2014-05-11 16:51

reporter  

Christian Grothoff

2014-05-13 13:31

manager   ~0008327

Yes, this looks 'normal'. You are 668D and so you don't have a "network" connection to yourself, or a key exchange with yourself. Hence there is no 'state' and no connectivity LEDs (but you get to see which network addresses your peer has).

For other peers, it shows some connected (including which address if applicable). What is more odd is that your In/Out bandwidth is always showing as zeor, that's wrong. Most likely a permission issue; I've (hopefully) fixed that just now in SVN 33255.

Christian Grothoff

2014-05-13 13:31

manager   ~0008328

Fixed permissions for Bandwidth amount visualization in ats.conf.in in SVN 33255.

Issue History

Date Modified Username Field Change
2014-05-07 11:01 ell New Issue
2014-05-08 09:46 Christian Grothoff Note Added: 0008307
2014-05-08 09:46 Christian Grothoff Assigned To => Christian Grothoff
2014-05-08 09:46 Christian Grothoff Status new => feedback
2014-05-08 10:55 ell Note Added: 0008308
2014-05-08 10:55 ell Status feedback => assigned
2014-05-11 14:07 Christian Grothoff Note Added: 0008318
2014-05-11 14:11 Christian Grothoff Note Added: 0008320
2014-05-11 16:51 ell File Added: gnunet-gtk-Screenshot-11.05.2014-16:46:45.png
2014-05-13 13:31 Christian Grothoff Note Added: 0008327
2014-05-13 13:31 Christian Grothoff Note Added: 0008328
2014-05-13 13:31 Christian Grothoff Status assigned => resolved
2014-05-13 13:31 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-05-13 13:31 Christian Grothoff Resolution open => fixed
2014-05-13 13:31 Christian Grothoff Product Version => 0.10.1
2014-05-13 13:31 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed